Package Details: php71-intl 7.1.33-1

Git Clone URL: https://aur.archlinux.org/php71.git (read-only, click to copy)
Package Base: php71
Description: intl module for PHP
Upstream URL: http://www.php.net
Keywords: 7.1 php
Licenses: PHP
Provides: php71-intl=7.1.33
Submitter: Synthead
Maintainer: wget
Last Packager: wget
Votes: 10
Popularity: 0.000000
First Submitted: 2018-03-26 18:04
Last Updated: 2019-11-03 19:03

Pinned Comments

wget commented on 2019-02-11 11:49

This package makes use of GPG keys for integrity verification. Here are the PGP keys you need to import (if you trust them):

$ gpg --recv-keys A917B1ECDA84AEC2B568FED6F50ABC807BD5DCD0 528995BFEDFBA7191D46839EF9BA0ADA31CBD89E 1729F83938DA44E27BA0F4D3DBDB397470D12172

Receiving GPG keys might fail with the following error message: $ gpg: keyserver receive failed: Connection refused. If this happens, just check your DNS or use other ones.

Latest Comments

1 2 3 4 5 6 ... Next › Last »

shawe commented on 2021-02-12 12:31

I confirm solution by @reibeku it's working:

Replace:

build() {
    local phpConfig="\
        --srcdir=../${_pkgbase}-${pkgver} \
        --config-cache \

With:

build() {
        export CC="gcc -DTRUE=1 -DFALSE=0"
        export CXX="g++ -DTRUE=1 -DFALSE=0"
    local phpConfig="\
        --srcdir=../${_pkgbase}-${pkgver} \
        --config-cache \

reibeku commented on 2021-02-10 10:31

Please find the solution of error: ‘TRUE’ undeclared here: https://bbs.archlinux.org/viewtopic.php?pid=1955066#p1955066

Flowcki commented on 2021-02-06 22:06

I have the same error as pogacsa, for php70 and php71. I don't know how to fix this issues without compiling the source :/

pogacsa commented on 2021-01-19 17:49

It doesn't build for me. Gives the error attached below. It is maybe because of icu version 68.

There's a similar bug for php 7.4 and there is a fix in the comments which may help: https://bugs.php.net/bug.php?id=80310&edit=1

The error:

/bin/sh /var/tmp/pamac-build-gergo/php71/src/build/libtool --silent --preserve-dup-deps --mode=compile cc  -Wno-write-strings -D__STDC_LIMIT_MACROS -DZEND_ENABLE_STATIC_TSRMLS_CACHE=1 -Iext/intl/ -I/var/tmp/pamac-build-gergo/php71/src/php-7.1.33/ext/intl/ -DPHP_ATOM_INC -I/var/tmp/pamac-build-gergo/php71/src/build/include -I/var/tmp/pamac-build-gergo/php71/src/build/main -I/var/tmp/pamac-build-gergo/php71/src/php-7.1.33 -I/var/tmp/pamac-build-gergo/php71/src/build/ext/date/lib -I/var/tmp/pamac-build-gergo/php71/src/php-7.1.33/ext/date/lib -I/usr/include/libxml2 -I/usr/include/enchant-2 -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/harfbuzz -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/imap -I/var/tmp/pamac-build-gergo/php71/src/php-7.1.33/ext/mbstring/oniguruma -I/var/tmp/pamac-build-gergo/php71/src/build/ext/mbstring/oniguruma -I/var/tmp/pamac-build-gergo/php71/src/php-7.1.33/ext/mbstring/libmbfl -I/var/tmp/pamac-build-gergo/php71/src/build/ext/mbstring/libmbfl -I/var/tmp/pamac-build-gergo/php71/src/php-7.1.33/ext/mbstring/libmbfl/mbfl -I/var/tmp/pamac-build-gergo/php71/src/build/ext/mbstring/libmbfl/mbfl -I/usr/include/pspell -I/var/tmp/pamac-build-gergo/php71/src/build/TSRM -I/var/tmp/pamac-build-gergo/php71/src/build/Zend -I/var/tmp/pamac-build-gergo/php71/src/php-7.1.33/main -I/var/tmp/pamac-build-gergo/php71/src/php-7.1.33/Zend -I/var/tmp/pamac-build-gergo/php71/src/php-7.1.33/TSRM -I/var/tmp/pamac-build-gergo/php71/src/build/  -D_FORTIFY_SOURCE=2  -I/usr/include -march=x86-64 -mtune=generic -O2 -pipe -fno-plt -fvisibility=hidden -DZEND_SIGNALS    -c /var/tmp/pamac-build-gergo/php71/src/php-7.1.33/ext/intl/collator/collator_is_numeric.c -o ext/intl/collator/collator_is_numeric.lo 
/var/tmp/pamac-build-gergo/php71/src/php-7.1.33/ext/intl/collator/collator_sort.c: In function ‘zif_collator_sort’:
/var/tmp/pamac-build-gergo/php71/src/php-7.1.33/ext/intl/collator/collator_sort.c:349:26: error: ‘TRUE’ undeclared (first use in this function)
  349 |  collator_sort_internal( TRUE, INTERNAL_FUNCTION_PARAM_PASSTHRU );
      |                          ^~~~
/var/tmp/pamac-build-gergo/php71/src/php-7.1.33/ext/intl/collator/collator_sort.c:349:26: note: each undeclared identifier is reported only once for each function it appears in
/var/tmp/pamac-build-gergo/php71/src/php-7.1.33/ext/intl/collator/collator_sort.c: In function ‘zif_collator_asort’:
/var/tmp/pamac-build-gergo/php71/src/php-7.1.33/ext/intl/collator/collator_sort.c:543:26: error: ‘FALSE’ undeclared (first use in this function)
  543 |  collator_sort_internal( FALSE, INTERNAL_FUNCTION_PARAM_PASSTHRU );
      |                          ^~~~~
make: *** [Makefile:1136: ext/intl/collator/collator_sort.lo] Error 1
make: *** Waiting for unfinished jobs....
==> HIBA: Hiba történt a build()-ben.
    Megszakítás...

Ashly_Hamill commented on 2020-09-13 03:55

I use keyserver.ubuntu.com keyserver to resolve the GPG keyserver error

$ gpg --keyserver keyserver.ubuntu.com --recv-keys A917B1ECDA84AEC2B568FED6F50ABC807BD5DCD0 528995BFEDFBA7191D46839EF9BA0ADA31CBD89E 1729F83938DA44E27BA0F4D3DBDB397470D12172

pdizzle commented on 2020-07-22 17:41

If this happens, just check your DNS or use other ones.

I have "checked" my DNS in that every domain I can try works. And i have tried adding cloudflare and Google DNS, still to no avail. any other suggestions?

paranoid73 commented on 2020-05-21 14:58

I used gpg --keyserver hkp://pgp.mit.edu --recv-key F9BA0ADA31CBD89E to resolve this error : $ gpg: keyserver receive failed: Connection refused

miguelmsoler commented on 2020-03-24 00:05

It does not work on my Arch installation. The check test for ini_get("sendmail_path"); expects to find it in /usr/bin/sendmail, but ini_get returns /usr/sbin/sendmail so the grep commands returns 1 and the check fails.

I had to comment that check in order to install it with aurutils.

keoma commented on 2020-02-10 01:45

@kde35 maybe it's too late, but I had the same problem and could fix using a workaround: copying the entire folder /usr/include/freetype2/ to its parent.

# cp -r /usr/include/freetype2/* /usr/include

@wget, do you have a more elegant solution for this? That would be great.

wget commented on 2019-09-15 17:39

@ruskiyos: You need apache, not as a dependency, but as a make dependency. This is completely different, while the first is a hard requirement, the second is just a requirement to build the final application, here php. As you can see, if I'm not relying on apache, the SAPI CGI module cannot be build:


Configuring SAPI modules
checking for Apache 2.0 handler-module support via DSO through APXS... 

Sorry, I cannot run apxs.  Possible reasons follow:

1. Perl is not installed
2. apxs was not found. Try to pass the path using --with-apxs2=/path/to/apxs
3. Apache was not built using --enable-so (the apxs usage page is displayed)

The output of apxs follows:
./configure: line 6167: apxs: command not found
configure: error: Aborting
==> ERROR: A failure occurred in build().
    Aborting...
==> ERROR: Build failed, check /var/lib/archbuild/extra-x86_64/wget/build